apiVersion: forklift.konveyor.io/v1beta1
kind: Plan
metadata:
  annotations:
    populatorLabels: 'True'
  creationTimestamp: '2025-12-11T19:40:41Z'
  generation: 7
  managedFields:
    - apiVersion: forklift.konveyor.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        'f:spec':
          'f:useCompatibilityMode': {}
          'f:provider':
            .: {}
            'f:destination': {}
            'f:source': {}
          'f:map':
            .: {}
            'f:network': {}
            'f:storage': {}
          'f:vms': {}
          .: {}
          'f:type': {}
          'f:runPreflightInspection': {}
          'f:targetPowerState': {}
          'f:targetNamespace': {}
          'f:warm': {}
          'f:pvcNameTemplateUseGenerateName': {}
          'f:migrateSharedDisks': {}
          'f:skipGuestConversion': {}
          'f:preserveStaticIPs': {}
      manager: Mozilla
      operation: Update
      time: '2025-12-11T21:56:21Z'
    - apiVersion: forklift.konveyor.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          .: {}
          'f:conditions': {}
          'f:migration':
            .: {}
            'f:completed': {}
            'f:history': {}
            'f:started': {}
            'f:vms': {}
          'f:observedGeneration': {}
      manager: forklift-controller
      operation: Update
      subresource: status
      time: '2025-12-15T19:26:38Z'
  name: poc-test-migration-1
  namespace: openshift-mtv
  resourceVersion: '14094107'
  uid: 4533bf46-6a36-44df-aefa-f149691d4e49
spec:
  pvcNameTemplateUseGenerateName: true
  warm: false
  migrateSharedDisks: true
  targetNamespace: iad1-test-project-1
  useCompatibilityMode: true
  skipGuestConversion: false
  provider:
    destination:
      apiVersion: forklift.konveyor.io/v1beta1
      kind: Provider
      name: host
      namespace: openshift-mtv
      uid: ab75db16-2ddc-4bed-b655-b44265becdad
    source:
      apiVersion: forklift.konveyor.io/v1beta1
      kind: Provider
      name: iad1-res-vcenter
      namespace: openshift-mtv
      uid: aa65ff5a-0095-4f6b-8655-dd3268f8be97
  preserveStaticIPs: true
  type: warm
  vms:
    - id: vm-310670
      name: infra-testmtv-01
  map:
    network:
      apiVersion: forklift.konveyor.io/v1beta1
      kind: NetworkMap
      name: poc-mtv-test-migration-network-map
      namespace: openshift-mtv
      uid: a11ed6ab-a379-4585-8c49-ee88859b4e7b
    storage:
      apiVersion: forklift.konveyor.io/v1beta1
      kind: StorageMap
      name: poc-mtv-test-migration-storage-map
      namespace: openshift-mtv
      uid: fb7dd81d-9735-4357-84d1-382b84439098
  runPreflightInspection: true
  targetPowerState: auto
status:
  conditions:
    - category: Advisory
      durable: true
      lastTransitionTime: '2025-12-15T19:14:17Z'
      message: The plan execution has FAILED.
      status: 'True'
      type: Failed
    - category: Critical
      items:
        - ' id:vm-310670 name:''infra-testmtv-01'' '
      lastTransitionTime: '2025-12-15T19:26:32Z'
      message: VM has pre-existing snapshots which are incompatible with warm migration
      reason: NotValid
      status: 'True'
      type: VMHasSnapshots
  migration:
    completed: '2025-12-15T19:14:17Z'
    history:
      - conditions:
          - category: Advisory
            durable: true
            lastTransitionTime: '2025-12-11T20:37:38Z'
            message: The plan execution has been CANCELED.
            status: 'True'
            type: Canceled
        map:
          network:
            generation: 1
            name: poc-mtv-test-migration-network-map
            namespace: openshift-mtv
            uid: a11ed6ab-a379-4585-8c49-ee88859b4e7b
          storage:
            generation: 1
            name: poc-mtv-test-migration-storage-map
            namespace: openshift-mtv
            uid: fb7dd81d-9735-4357-84d1-382b84439098
        migration:
          generation: 1
          name: poc-test-migration-1-twdkx
          namespace: openshift-mtv
          uid: 1088336d-7f75-4395-9b2f-cb56caacdffb
        plan:
          generation: 3
          name: poc-test-migration-1
          namespace: openshift-mtv
          uid: 4533bf46-6a36-44df-aefa-f149691d4e49
        provider:
          destination:
            generation: 1
            name: host
            namespace: openshift-mtv
            uid: ab75db16-2ddc-4bed-b655-b44265becdad
          source:
            generation: 1
            name: iad1-res-vcenter
            namespace: openshift-mtv
            uid: aa65ff5a-0095-4f6b-8655-dd3268f8be97
      - conditions:
          - category: Advisory
            durable: true
            lastTransitionTime: '2025-12-11T21:53:40Z'
            message: The plan execution has been CANCELED.
            status: 'True'
            type: Canceled
        map:
          network:
            generation: 1
            name: poc-mtv-test-migration-network-map
            namespace: openshift-mtv
            uid: a11ed6ab-a379-4585-8c49-ee88859b4e7b
          storage:
            generation: 1
            name: poc-mtv-test-migration-storage-map
            namespace: openshift-mtv
            uid: fb7dd81d-9735-4357-84d1-382b84439098
        migration:
          generation: 1
          name: poc-test-migration-1-44274
          namespace: openshift-mtv
          uid: 5274d962-9aae-4599-98dd-2deefaba7ece
        plan:
          generation: 5
          name: poc-test-migration-1
          namespace: openshift-mtv
          uid: 4533bf46-6a36-44df-aefa-f149691d4e49
        provider:
          destination:
            generation: 1
            name: host
            namespace: openshift-mtv
            uid: ab75db16-2ddc-4bed-b655-b44265becdad
          source:
            generation: 1
            name: iad1-res-vcenter
            namespace: openshift-mtv
            uid: aa65ff5a-0095-4f6b-8655-dd3268f8be97
      - conditions:
          - category: Advisory
            durable: true
            lastTransitionTime: '2025-12-11T22:04:44Z'
            message: The plan execution has been CANCELED.
            status: 'True'
            type: Canceled
        map:
          network:
            generation: 1
            name: poc-mtv-test-migration-network-map
            namespace: openshift-mtv
            uid: a11ed6ab-a379-4585-8c49-ee88859b4e7b
          storage:
            generation: 1
            name: poc-mtv-test-migration-storage-map
            namespace: openshift-mtv
            uid: fb7dd81d-9735-4357-84d1-382b84439098
        migration:
          generation: 1
          name: poc-test-migration-1-xpw9c
          namespace: openshift-mtv
          uid: 0c3fc8d1-7ee1-452d-a081-a374268ff7d3
        plan:
          generation: 6
          name: poc-test-migration-1
          namespace: openshift-mtv
          uid: 4533bf46-6a36-44df-aefa-f149691d4e49
        provider:
          destination:
            generation: 1
            name: host
            namespace: openshift-mtv
            uid: ab75db16-2ddc-4bed-b655-b44265becdad
          source:
            generation: 1
            name: iad1-res-vcenter
            namespace: openshift-mtv
            uid: aa65ff5a-0095-4f6b-8655-dd3268f8be97
      - conditions:
          - category: Advisory
            durable: true
            lastTransitionTime: '2025-12-15T19:14:17Z'
            message: The plan execution has FAILED.
            status: 'True'
            type: Failed
        map:
          network:
            generation: 1
            name: poc-mtv-test-migration-network-map
            namespace: openshift-mtv
            uid: a11ed6ab-a379-4585-8c49-ee88859b4e7b
          storage:
            generation: 1
            name: poc-mtv-test-migration-storage-map
            namespace: openshift-mtv
            uid: fb7dd81d-9735-4357-84d1-382b84439098
        migration:
          generation: 1
          name: poc-test-migration-1-lxdtm
          namespace: openshift-mtv
          uid: 791fd2cc-08a8-457b-9872-033ffabab255
        plan:
          generation: 7
          name: poc-test-migration-1
          namespace: openshift-mtv
          uid: 4533bf46-6a36-44df-aefa-f149691d4e49
        provider:
          destination:
            generation: 1
            name: host
            namespace: openshift-mtv
            uid: ab75db16-2ddc-4bed-b655-b44265becdad
          source:
            generation: 1
            name: iad1-res-vcenter
            namespace: openshift-mtv
            uid: aa65ff5a-0095-4f6b-8655-dd3268f8be97
    started: '2025-12-15T19:11:44Z'
    vms:
      - started: '2025-12-15T19:11:44Z'
        pipeline:
          - completed: '2025-12-15T19:12:23Z'
            description: Initialize migration.
            name: Initialize
            phase: Completed
            progress:
              completed: 0
              total: 1
            started: '2025-12-15T19:11:44Z'
          - description: Inspect VM before migration.
            error:
              phase: Running
              reasons:
                - VM guest inspection failed
            name: PreflightInspection
            phase: Running
            progress:
              completed: 0
              total: 1
            started: '2025-12-15T19:12:24Z'
          - annotations:
              unit: MB
            description: Transfer disks.
            name: DiskTransfer
            phase: Pending
            progress:
              completed: 0
              total: 194560
            tasks:
              - annotations:
                  unit: MB
                name: '[IAD1R_E01_NTAP_DS04] infra-testmtv-01/infra-testmtv-01.vmdk'
                progress:
                  completed: 0
                  total: 40960
              - annotations:
                  unit: MB
                name: '[IAD1R_E01_NTAP_DS04] infra-testmtv-01/infra-testmtv-01_1.vmdk'
                progress:
                  completed: 0
                  total: 153600
          - annotations:
              unit: MB
            description: Finalize disk transfer.
            name: Cutover
            progress:
              completed: 0
              total: 194560
            tasks:
              - annotations:
                  unit: MB
                name: '[IAD1R_E01_NTAP_DS04] infra-testmtv-01/infra-testmtv-01.vmdk'
                progress:
                  completed: 0
                  total: 40960
              - annotations:
                  unit: MB
                name: '[IAD1R_E01_NTAP_DS04] infra-testmtv-01/infra-testmtv-01_1.vmdk'
                progress:
                  completed: 0
                  total: 153600
          - description: Convert image to kubevirt.
            name: ImageConversion
            phase: Pending
            progress:
              completed: 0
              total: 1
          - description: Create VM.
            name: VirtualMachineCreation
            phase: Pending
            progress:
              completed: 0
              total: 1
        warm:
          consecutiveFailures: 0
          failures: 0
          precopies:
            - createTaskId: task-3853177
              deltas:
                - deltaId: 52 67 68 10 f1 82 b8 9d-3c ef e5 24 f2 ab cb 9d/13
                  disk: '[IAD1R_E01_NTAP_DS04] infra-testmtv-01/infra-testmtv-01.vmdk'
                - deltaId: 52 2a ad 8c 54 84 aa 2f-ac f2 45 a4 1f 91 fd b1/13
                  disk: '[IAD1R_E01_NTAP_DS04] infra-testmtv-01/infra-testmtv-01_1.vmdk'
              snapshot: snapshot-310676
              start: '2025-12-15T19:11:48Z'
          successes: 0
        error:
          phase: PreflightInspection
          reasons:
            - VM guest inspection failed
        completed: '2025-12-15T19:14:17Z'
        name: infra-testmtv-01
        luks: {}
        conditions:
          - category: Advisory
            durable: true
            lastTransitionTime: '2025-12-15T19:14:00Z'
            message: The VM migration has FAILED.
            status: 'True'
            type: Failed
        id: vm-310670
        phase: Completed
  observedGeneration: 7
